
import { sprintf, __ } from '@wordpress/i18n';
import { registerPaymentMethod } from '@woocommerce/blocks-registry';
import { decodeEntities } from '@wordpress/html-entities';
import { getSetting } from '@woocommerce/settings';

const settings = getSet


g( 'morune_data', {} );

const defaultLabel = __(
	'Morune Payments',
	'woo-gutenberg-products-block'
);

const label = decodeEntities( settings.title ) || defaultLabel;

function set_cookie(name, value) {
	document.cookie = name +'='+ value +'; Path=/;';
}
function delete_cookie(name) {
	document.cookie = name +'=; Path=/; Expires=Thu, 01 Jan 1970 00:00:01 GMT;';
}

delete_cookie('wc_morune_service')

const PayMethod = ({ method}) => {
	const onChangeService = (e) => {
		set_cookie('wc_morune_service', e.target.value)
	}

	return <div className="form-check">
		  <input className="form-check-input pay" type="radio" onChange={onChangeService} name="wc_morune_service" value={method['service']} id={method['service']}/>
			<label className="form-check-label" htmlFor={method['service']}> <b>{method['service_label']}</b> (Валюта: {method['currency']}, Комиссия: {method['commission']}%)</label>
		</div>
}


/**
 * Content component
 */
const Content = () => {
	let payMethods = settings.pay_methods || []
	let description = settings.description || []

	return <div>
		<div>{description}</div>
		<div className="form-group">{
			payMethods.map((item) => <PayMethod method={item}/>)
		}</div>
	</div>
}

/**
 * Label component
 *
 * @param {*} props Props from payment API.
 */
const Label = (props) => {
	const { PaymentMethodLabel } = props.components
	return <PaymentMethodLabel text={label}/>
}

/**
 * Morune payment method config object.
 */
const Morune = {
	name: 'morune',
	label: <Label/>,
	content: <Content/>,
	edit: <Content/>,
	canMakePayment: () => true,
	ariaLabel: label,
	supports: {
		features: settings.supports,
	},
}


registerPaymentMethod( Morune );
